
From: Chris Wright <chrisw@osdl.org>

Rename security_scaffolding_startup() to security_init().  It always
bothered me.

Signed-off-by: Chris Wright <chrisw@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/security.h |    2 +-
 25-akpm/init/main.c              |    2 +-
 25-akpm/security/security.c      |    8 ++++----
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -puN include/linux/security.h~lsm-rename-security_scaffolding_startup-to-security_init include/linux/security.h
--- 25/include/linux/security.h~lsm-rename-security_scaffolding_startup-to-security_init	2004-10-21 21:24:09.773097040 -0700
+++ 25-akpm/include/linux/security.h	2004-10-21 21:24:09.782095672 -0700
@@ -1895,7 +1895,7 @@ static inline int security_netlink_recv(
 }
 
 /* prototypes */
-extern int security_scaffolding_startup	(void);
+extern int security_init	(void);
 extern int register_security	(struct security_operations *ops);
 extern int unregister_security	(struct security_operations *ops);
 extern int mod_reg_security	(const char *name, struct security_operations *ops);
diff -puN init/main.c~lsm-rename-security_scaffolding_startup-to-security_init init/main.c
--- 25/init/main.c~lsm-rename-security_scaffolding_startup-to-security_init	2004-10-21 21:24:09.774096888 -0700
+++ 25-akpm/init/main.c	2004-10-21 21:24:09.783095520 -0700
@@ -555,7 +555,7 @@ asmlinkage void __init start_kernel(void
 	proc_caches_init();
 	buffer_init();
 	unnamed_dev_init();
-	security_scaffolding_startup();
+	security_init();
 	vfs_caches_init(num_physpages);
 	radix_tree_init();
 	signals_init();
diff -puN security/security.c~lsm-rename-security_scaffolding_startup-to-security_init security/security.c
--- 25/security/security.c~lsm-rename-security_scaffolding_startup-to-security_init	2004-10-21 21:24:09.776096584 -0700
+++ 25-akpm/security/security.c	2004-10-21 21:24:09.783095520 -0700
@@ -18,7 +18,7 @@
 #include <linux/sched.h>
 #include <linux/security.h>
 
-#define SECURITY_SCAFFOLD_VERSION	"1.0.0"
+#define SECURITY_FRAMEWORK_VERSION	"1.0.0"
 
 /* things that live in dummy.c */
 extern struct security_operations dummy_security_ops;
@@ -49,13 +49,13 @@ static void __init do_security_initcalls
 }
 
 /**
- * security_scaffolding_startup - initializes the security scaffolding framework
+ * security_init - initializes the security framework
  *
  * This should be called early in the kernel initialization sequence.
  */
-int __init security_scaffolding_startup (void)
+int __init security_init(void)
 {
-	printk (KERN_INFO "Security Scaffold v" SECURITY_SCAFFOLD_VERSION
+	printk (KERN_INFO "Security Framework v" SECURITY_FRAMEWORK_VERSION
 		" initialized\n");
 
 	if (verify (&dummy_security_ops)) {
_
